/// <reference types="react" />
import * as React from 'react';
export interface IRouterProps {
    /**
     * Gets the component ref.
     */
    componentRef?: () => void;
    replaceState?: boolean;
    children?: React.ReactNode;
    onNewRouteLoaded?: () => void;
}
export declare class Router extends React.PureComponent<IRouterProps> {
    private _disposables;
    constructor(props: IRouterProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): React.ReactElement<any> | null;
    private _getPath();
    private _resolveRoute(children?);
}
